## org.acedb.socket
Class SocketResultSet

    java.lang.Object
      |
      +--org.acedb.socket.SocketResultSet

public class SocketResultSet
extends java.lang.Object
implements AceSet

Author:
  Thomas Down

Constructor Summary
`SocketResultSet(org.acedb.socket.SocketDatabase db, AceSet parent, java.util.List names, AceURL url)`

Method Summary
`boolean` `contains(java.lang.String name)` Returns whether an object is contained under a given name.
`AceSet` `filter(java.lang.String pattern)` Retrieve a sub-set of members by a filter string.
`java.lang.String` `getName()` The name of this node - possibly null.
`AceSet` `getParent()` The logical parent of this object or null if there is no logical parent.
`java.util.Iterator` `iterator()` An iterator over every thing in this set.
`java.util.Iterator` `nameIterator()` An iterator over the names associated with each thing in the set.
`AceSet` `retrieve(java.lang.String name)` Retrieve a memeber by name.
`int` `size()` The number of items in this AceSet.
`AceURL` `toURL()` A URL that can be used to retrieve this set (assuming that the server will still be there when you try).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketResultSet

    public SocketResultSet(org.acedb.socket.SocketDatabase db,
                           AceSet parent,
                           java.util.List names,
                           AceURL url)

Method Detail

### size

    public int size()

  Description copied from interface: AceSet
  The number of items in this AceSet.
  Specified by:
    size in interface AceSet

### nameIterator

    public java.util.Iterator nameIterator()

  Description copied from interface: AceSet
  An iterator over the names associated with each thing in the set. Names are Strings.
  Specified by:
    nameIterator in interface AceSet

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: AceSet
  An iterator over every thing in this set. Things are AceSet-derived objects.
  Specified by:
    iterator in interface AceSet

### contains

    public boolean contains(java.lang.String name)

  Description copied from interface: AceSet
  Returns whether an object is contained under a given name.
  Specified by:
    contains in interface AceSet

### retrieve

    public AceSet retrieve(java.lang.String name)
                    throws AceException

  Description copied from interface: AceSet
  Retrieve a memeber by name.
  Specified by:
    retrieve in interface AceSet

### filter

    public AceSet filter(java.lang.String pattern)

  Description copied from interface: AceSet
  Retrieve a sub-set of members by a filter string.
  Specified by:
    filter in interface AceSet

### getParent

    public AceSet getParent()

  Description copied from interface: AceSet
  The logical parent of this object or null if there is no logical parent.
  Specified by:
    getParent in interface AceSet

### toURL

    public AceURL toURL()

  Description copied from interface: AceSet
  A URL that can be used to retrieve this set (assuming that the server will still be there when you try).
  Specified by:
    toURL in interface AceSet
  Tags copied from interface: AceSet
  Throws:
    AceURLException - if for any reason the URL can't be constructed

### getName

    public java.lang.String getName()

  Description copied from interface: AceSet
  The name of this node - possibly null.
  Specified by:
    getName in interface AceSet